BatchUpdateFirewallRule
Updates multiple DNS firewall rules in a single operation. This is more efficient than updating rules individually.
Important
Route 53 Global Resolver is a global service that supports resolvers in multiple AWS Regions but you must specify the
US East (Ohio) Region to create, update, or otherwise work with Route 53 Global Resolver resources. That is, for example,
specify
--region us-east-2
on AWS CLI commands.
Request Syntax
POST /firewall-rules/batch-update HTTP/1.1
Content-type: application/json
{
"firewallRules": [
{
"action": "string",
"blockOverrideDnsType": "string",
"blockOverrideDomain": "string",
"blockOverrideTtl": number,
"blockResponse": "string",
"confidenceThreshold": "string",
"description": "string",
"dnsAdvancedProtection": "string",
"firewallRuleId": "string",
"name": "string",
"priority": number
}
]
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- firewallRules
-
The DNS Firewall rule IDs to be updated.
Type: Array of BatchUpdateFirewallRuleInputItem objects
Required: Yes
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"failures": [
{
"code": number,
"firewallRule": {
"action": "string",
"blockOverrideDnsType": "string",
"blockOverrideDomain": "string",
"blockOverrideTtl": number,
"blockResponse": "string",
"clientToken": "string",
"confidenceThreshold": "string",
"createdAt": "string",
"description": "string",
"dnsAdvancedProtection": "string",
"dnsViewId": "string",
"firewallDomainListId": "string",
"id": "string",
"name": "string",
"priority": number,
"queryType": "string",
"status": "string",
"updatedAt": "string"
},
"message": "string"
}
],
"successes": [
{
"code": number,
"firewallRule": {
"action": "string",
"blockOverrideDnsType": "string",
"blockOverrideDomain": "string",
"blockOverrideTtl": number,
"blockResponse": "string",
"clientToken": "string",
"confidenceThreshold": "string",
"createdAt": "string",
"description": "string",
"dnsAdvancedProtection": "string",
"dnsViewId": "string",
"firewallDomainListId": "string",
"id": "string",
"name": "string",
"priority": number,
"queryType": "string",
"status": "string",
"updatedAt": "string"
},
"message": "string"
}
]
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- failures
-
High level information about the DNS Firewall rules that failed to update.
Type: Array of BatchUpdateFirewallRuleOutputItem objects
- successes
-
High level information about the DNS Firewall rules that were successfully updated.
Type: Array of BatchUpdateFirewallRuleOutputItem objects
Errors
For information about the errors that are common to all actions, see Common Errors.
- AccessDeniedException
-
You don't have permission to perform this operation. Check your IAM permissions and try again.
HTTP Status Code: 403
- InternalServerException
-
An internal server error occurred. Try again later.
- retryAfterSeconds
-
Number of seconds in which the caller can retry the request.
HTTP Status Code: 500
- ThrottlingException
-
The request was throttled due to too many requests. Wait a moment and try again.
- quotaCode
-
The quota code recognized by the AWS Service Quotas service.
- retryAfterSeconds
-
Number of seconds in which the caller can retry the request.
- serviceCode
-
The code for the AWS service that owns the quota.
HTTP Status Code: 429
- ValidationException
-
The input parameters are invalid. Check the parameter values and try again.
- fieldList
-
The list of fields that aren't valid.
- reason
-
Reason the request failed validation.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: